GAME_ID=1009
DEBUG_PORT=10209
LOG4J2_FILE="conf/log4j2.xml"
JAR_NAME="lib/global-server-1.0.jar"
if [ ! -f "bin/is_test_env" ]; then
    JAVA_OPTS="-server -Xms512m -Xmx512m -Xmn128m -XX:SurvivorRatio=4 -XX:InitiatingHeapOccupancyPercent=75"
else
    JAVA_OPTS="-server -Xms256m -Xmx256m -Xmn128m -XX:SurvivorRatio=4 -XX:InitiatingHeapOccupancyPercent=75"
fi
JAVA_OPTS="$JAVA_OPTS -XX:+UseParNewGC -XX:+UseConcMarkSweepGC"
JAVA_OPTS="$JAVA_OPTS -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintGCApplicationStoppedTime -XX:+HeapDumpOnOutOfMemoryError -Xloggc:logs/flash_gc_$(date +"%Y%m%d%H%M").log"
JAVA_OPTS="$JAVA_OPTS -Dlog4j2.contextSelector=org.apache.logging.log4j.core.async.AsyncLoggerContextSelector"
JAVA_OPTS="$JAVA_OPTS -Dlog4j.configurationFile=${LOG4J2_FILE}"

SOURCE_DIR="third_party/wjtx/"
SOURCE_PATH="."
PRE_COMPILE_CMD="rm -rf /root/wjtx && cp -rf third_party/wjtx/ /root"
COMPILE_CMD="cd /root/wjtx/trunk && mvn clean package install -Dmaven.test.skip=true"
POST_COMPILE_CMD="rm -f lib && ln -s /root/wjtx/trunk/global-server/target/global-server/lib ."
EXT_PKG_FILES="conf spring"
